Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Vi like Emacs
Name:      	vile
Version:   	9.6
Release:   	1
Provides:	vile
License: 	GNU/GPL
URL:		http://invisible-island.net/vile/
Group:     	Text Tools  
Source0: 	%{name}-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel


%description
vile retains the "finger-feel", if you will, of vi, while adding the multiple buffer and multiple window features of emacs and other editors. It is definitely not a vi clone, in that some substantial stuff is missing, and the screen doesn't look quite the same. The things that you tend to type over and over probably work. Things done less frequently, like configuring a startup file, are somewhat (or very, depending on how ambitious you are) different. But what matters most is that one's "muscle memory" does the right thing to the text in front of you, and that is what vile tries to do for vi users.

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--disable-debug
make

%install
rm -rf %buildroot
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/vile
%_mandir
%_datadir/vile

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 9.6-1
- Initial Release
